package query


#######################################################################
# Macros whose values are set from within the server at runtime. These 
# are here only for reference and to set default values if required.           
#######################################################################

_quotedquery_ {}
_freqmsg_ {}
_resultline_ {}
_thisfirst_ {}
_thislast_ {}
_nextfirst_ {}
_nextlast_ {}
_prevfirst_ {}
_prevlast_ {}
_searchhistorylist_ {}
#_histvalue0_ to _histvalue19_
_advformlist_ {}
_regformlist_ {}
_fqfselection_ {}


#######################################################################
# icons
#######################################################################

_iconthispage_ {<img src="_httpiconhsearch_" alt="_texticonthispage_" width="_widthhsearch_" height="_heighthsearch_">}
_iconthispage_ [v=1] {<h2>_texticonthispage_</h2>}

_iconqueryresultsbar_ {<img src="_httpiconqryresb_" width="_widthqryresb_" height="_heightqryresb_" alt="_texticonqueryresultsbar_">}
_iconqueryresultsbar_[v=1] {_texticonqueryresultsbar_}

# _iconnext_ and _iconprev_ are overridden in this package as we
# don't want alt text here
_iconnext_{<img src="_httpiconmore_" width=_widthmore_ height=_heightmore_ border=0 align=top>}
_iconnext_ [v=1] {}
_iconprev_{<img src="_httpiconless_" width=_widthless_ height=_heightless_ border=0 align=top>}
_iconprev_ [v=1] {}

#######################################################################
# images
#######################################################################

_imagethispage_ {_iconthispage_}

#######################################################################
# page content
#######################################################################

_pagescriptextra_ {
var options = new Array(7);
options[0] = new Array('Any');
options[1] = new Array('Any', 'Absorption', 'Distribution', 'Metabolism', 'Elimination',
                       'Effect of Food', 'Drug Interactions', 'Special Populations');
options[2] = new Array('Any', 'Trace Metal', 'Excretion', 'Selectivity', 'Copper', 'Zinc',
                       'Manganese', 'Iron', 'Distribution', 'Brain', 'Heart', 'Plasma', 
                       'Plasma', 'Fetal', 'Liver', 'Kidney');
options[3] = new Array('Any', 'Acute Toxicity', 'Repeated Dose Toxicity', 'Studies in Rodents', 
                       'Studies in Dogs', 'Overdosage', 'Reproductive Toxicity',
                       'Teratogenicity', 'Mutagenecity', 'Carcinogenicity');
options[4] = new Array('Any', 'Superoxide Dismutase', 'Ferroxidase I', 'Ferroxidase II',
                       'Metallothienein', 'Ceruloplasmin');
options[5] = new Array('Any', 'Heart', 'Complications', 'Microvascular', 'Renal', 'Diabetes');
options[6] = new Array('Any');
options[7] = new Array('Any');

function initialize () \{

  var form = document.QueryForm;
  var c2 = form.c2.selectedIndex;
  var i;

  form.c3.options.length = 0;

  for (i = 0; i < options[c2].length; i++) \{
    form.c3.options[i] = new Option(options[c2][i], options[c2][i]);
  \}

  form.c3.selectedIndex = 0;

\}
}

_header_ {_cgihead_
_htmlhead_(background="_httpiconchalk_" onLoad="initialize();")_startspacer__pagebanner_
}

_pagetitle_ {_If_(_cgiargq_,_textquerytitle_,_textnoquerytitle_)}

_content_ {
<center>
_navigationbar_
</center>
<center>
_queryform_
</center>
_If_(_cgiargq_,<center>_iconqueryresultsbar_</center><br>
<small>
_freqmsg_
_textpostprocess_</small><br>
_resultline_
,<center>_iconblankbar_</center>)<br>
}

_queryform_ {
<form name=QueryForm method=get action="_gwcgi_">
<input type=hidden name="a" value="q">
<input type=hidden name="r" value="1">
<input type=hidden name="e" value="_decodedcompressedoptions_">
<p>
<table border="0" cellspacing="0" cellpadding="0" width="_pagewidth_">

<tr valign="top">
<td align="center">
<select name="c1">
<option value="">Any
<option value="Animal">Animal
<option value="Human">Human
<option value="Other">Other
</select>
</td>

<td align="center">
<b>AND</b>
</td>

<td align="center">
<select name="c2" onChange='initialize()'>
<option value="">Any
<option value="Pharmacokinetics">Pharmacokinetics
<option value="Pharmacodynamics">Pharmacodynamics
<option value="Safety/Side Effects/Toxicity">Safety/Side Effects/Toxicity
<option value="Other">Other
<option value="Efficacy">Efficacy
<option value="Contraindications">Contraindications
<option value="Precautions">Precautions
</select>
</td>

<td align="center">
<b>AND</b>
</td>

<td align="center">
<select name="c3">
<option value="">Any
</select>
</td>

</tr>

<tr valign="top"><td colspan="5">
<nobr>
<input type="text" name="q" value="_cgiargq_" size="40">
<input type="submit" value="_textbeginsearch_">
</nobr>
</td></tr>

</table>
</form>
}
